Retrieve a dispute
Get a dispute by ID.
Read our disputes guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/disputes/{disputeID}
curl -X GET "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.01.00"mc, _ := moov.NewClient()
var accountID string
var disputeID string
mc.GetDispute(ctx, accountID, disputeID)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.disputes.get({
accountID: "44d3e9dd-7128-4b00-8cd9-09d3242e5bcf",
disputeID: "4be10af9-ddeb-428b-8333-7430afce142f",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->disputes->get(
accountID: '44d3e9dd-7128-4b00-8cd9-09d3242e5bcf',
disputeID: '4be10af9-ddeb-428b-8333-7430afce142f'
);
if ($response->dispute !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetDisputeResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetDisputeResponse res = sdk.disputes().get()
.accountID("44d3e9dd-7128-4b00-8cd9-09d3242e5bcf")
.disputeID("4be10af9-ddeb-428b-8333-7430afce142f")
.call();
if (res.dispute().isPresent()) {
System.out.println(res.dispute().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.disputes.get(account_id="44d3e9dd-7128-4b00-8cd9-09d3242e5bcf", dispute_id="4be10af9-ddeb-428b-8333-7430afce142f")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.disputes.get(account_id: '44d3e9dd-7128-4b00-8cd9-09d3242e5bcf', dispute_id: '4be10af9-ddeb-428b-8333-7430afce142f')
unless res.dispute.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Disputes.GetAsync(
accountID: "44d3e9dd-7128-4b00-8cd9-09d3242e5bcf",
disputeID: "4be10af9-ddeb-428b-8333-7430afce142f"
);
// handle responseThe request completed successfully.
{
"amount": {
"currency": "USD",
"value": 257753
},
"createdOn": "2024-12-23T17:55:00Z",
"disputeID": "6e356108-fdfa-4910-bbe4-1e3c8abf5520",
"merchantAccountID": "34233b72-780c-4e0e-8b08-cbbe1bc878f8",
"networkReasonCode": "10.4",
"phase": "chargeback",
"respondBy": "2024-12-23T18:55:00Z",
"status": "response-needed",
"transfer": {
"transferID": "ecac148a-917e-4ee0-b46a-c51408939fff"
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.01.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.01.00
Path parameters
accountID
string
required
disputeID
string
required
Response
amount
object
required
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
createdOn
string<date-time>
required
disputeID
string
required
merchantAccountID
string
required
networkReasonCode
string
required
Indicates the card network's category for the dispute.
These codes may differ between card brands. You can find more information on the code from the networkReasonDescription field.
phase
string<enum>
required
The phase of a dispute within the dispute lifecycle.
Possible values:
pre-dispute,
inquiry,
chargeback,
unknown
respondBy
string<date-time>
required
status
string<enum>
required
The status of a particular dispute.
Read our disputes guide to learn what each status means.
Possible values:
response-needed,
resolved,
under-review,
closed,
accepted,
expired,
won,
lost
transfer
object
required
Show child attributes
transferID
string
required
The disputed transfer's ID.
networkReasonDescription
string
Provides detail on the card network's categorization of the dispute.
submittedOn
string<date-time>